package com.ss.android.ugc.aweme.commercialize.track;

import X.2Pr;
import X.C4939Ls2;
import android.content.SharedPreferences;
import com.bytedance.covode.number.Covode;

public interface IAdTrackDepend {
    static {
        Covode.recordClassIndex(59602);
    }

    int LIZ(Exception exc);

    String LIZ();

    String LIZ(String str, String str2);

    void LIZ(boolean z, C4939Ls2<2Pr> ls2);

    SharedPreferences LIZIZ();

    boolean LIZJ();

    String LIZLLL();

    String LJ();
}
